# Node Installation

1. Login as root to your new VPS
2. Update the system and add base packages before executing the below command on the root terminal.
   * sudo apt update -y && sudo apt upgrade -y && sudo apt install -y git nano curl && sudo apt autoremove -y
3. Allow permissions on the below ports.
   1. sudo ufw allow 6688
   2. sudo ufw allow 6689
4. Create a new admin user account
   1. sudo groupadd my\_new\_user
   2. sudo useradd -p $(openssl passwd -6 my\_new\_password) my\_new\_user -m -s /bin/bash -g my\_new\_user  -G sudo
5. Now open a new terminal session to your VPS and logon with your new admin user account and complete the rest of the steps.
   1. sudo -i -u my\_new\_user
6. git clone <https://github.com/GoPlugin/pluginV2Install.git&#x20>;
7. cd [pluginV2Install](https://github.com/GoPlugin/pluginV2Install.git)
8. chmod +x \*.sh
9. ./pli\_node\_scripts.sh mainnet

```
[Usage: ./pli_node_scripts.sh {function}]

Example: ./pli_node_scripts.sh mainnet where {function} is one of the following;
  mainnet       ==  deploys the full Mainnet node & exports the node keys

  keys          ==  extracts the node keys from DB and exports to json file for import to MetaMask

  logrotate     ==  implements the logrotate conf file 

  address       ==  displays the local nodes address (after full node deploy) - required for the 'Fulfillment Request' remix step

  node-gui      ==  displays the local nodes full GUI URL to copy and paste to browser
```

10. Run the following commands
    1. source \~/.profile
    2. pm2 status
    3. pm2 log \[id]
11. Login to the node UI  with the credentials  from pluginV2/apicredentials.txt
12. Go to the keys section and fetch the node address & fund it with 1 XDC and 1 PLI.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goplugin.co/plugin-2.0-node-operators/node-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
